package com.kmall.admin.service;

import com.kmall.admin.dto.CopyFreightDto;
import com.kmall.admin.entity.FreightEntity;

import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-22 15:18:16
 */
public interface FreightService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    FreightEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<FreightEntity> queryList(Map<String, Object> map);

    /**
     * 名称相同的模版
     *
     * @param map 参数
     * @return list
     */
    List<FreightEntity> queryEntity(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param freight 实体
     * @return 保存条数
     */
    int save(FreightEntity freight);

    /**
     * 根据主键更新实体
     *
     * @param freight 实体
     * @return 更新条数
     */
    int update(FreightEntity freight);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);

    int saveCopyFreight(CopyFreightDto copyFreightDto);
}
